Bug 1536939 (CVE-2018-1000024) - CVE-2018-1000024 squid: Incorrect pointer handling when processing ESI Responses can lead to denial of service
Summary: CVE-2018-1000024 squid: Incorrect pointer handling when processing ESI Respon...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1000024
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1536940 1582301
Blocks: 1536944
TreeView+ depends on / blocked
 
Reported: 2018-01-22 05:19 UTC by Sam Fowler
Modified: 2020-03-31 22:32 UTC (History)
5 users (show)

Fixed In Version: squid 3.5.28, squid 4.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:32:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1068 None None None 2020-03-31 19:19:49 UTC

Description Sam Fowler 2018-01-22 05:19:02 UTC
Due to incorrect pointer handling, Squid versions 3.x (prior to 3.5.27) and 4.x (prior to 4.0.23) are vulnerable to a denial of service attack when processing ESI responses. This problem allows a remote server delivering certain ESI response syntax to trigger a denial of service for all clients accessing the Squid service. 

Upstream Advisory:
http://www.squid-cache.org/Advisories/SQUID-2018_1.txt

Upstream Patches:
http://www.squid-cache.org/Versions/v3/3.5/changesets/SQUID-2018_1.patch
http://www.squid-cache.org/Versions/v4/changesets/SQUID-2018_1.patch

Comment 1 Sam Fowler 2018-01-22 05:19:36 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1536940]

Comment 3 Stefan Cornelius 2018-05-24 11:24:23 UTC
Mitigation:

A workaround for this issue is to not use the internal ESI parser, which can be achieved by adding either the "esi_parser expat" or "esi_parser libxml2" configuration directive to the squid configuration file (for example /etc/squid/squid.conf).

Comment 7 errata-xmlrpc 2020-03-31 19:18:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1068 https://access.redhat.com/errata/RHSA-2020:1068

Comment 8 Product Security DevOps Team 2020-03-31 22:32:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-1000024


Note You need to log in before you can comment on or make changes to this bug.